var admin = require("firebase-admin");
var serviceAccount = require("./agesmental-2143c-firebase-adminsdk-4juh1-85d7344714.json");

admin.initializeApp({
  credential: admin.credential.cert(serviceAccount),
  databaseURL: "https://agesmental-2143c.firebaseio.com"
});
const db = admin.firestore();

/*
let docRef = db.collection('users').doc('alovelace');

let setAda = docRef.set({
    first: 'Ada',
    last: 'Lovelace',
    born: 1815
  });

let aTuringRef = db.collection('users').doc('aturing');

let setAlan = aTuringRef.set({
  'first': 'Alan',
  'middle': 'Mathison',
  'last': 'Turing',
  'born': 1912
});

db.collection('users').get()
  .then((snapshot) => {
    snapshot.forEach((doc) => {
      console.log(doc.id, '=>', doc.data());
    });
  })
  .catch((err) => {
    console.log('Error getting documents', err);
  });
*/

const sample = require("./seed.json");

let questions = sample.questions
let users = sample.users
let userIds = []


const seedUsers = () => {
  users.forEach(user => {
    db.collection('users')
      .add(user)
      .then(ref => {
        userIds.push(ref.id)
      });
  });
}

const addSampleAnswer = (questionID) => {
    db.collection('userAnswers')
      .add({
        userUID: userIds[0] || "SOME-VALID-USER-ID",
        questionUID: questionID,
        answer: "answer example",
        createdAt: admin.firestore.Timestamp.fromDate(new Date)
      })
}


const seedQuestions = () => {
  questions.forEach(question => {
    db.collection('questions')
      .add(question)
      .then(ref => {
        addSampleAnswer(ref.id);
      });
  });
}

seedUsers();
seedQuestions();